[Unit]
Description=Daemon and web application for building Arch Linux packages and managing custom Arch Linux repositories
After=network.target

[Service]
Type=notify
User=buildservice-git
ExecStart=/usr/bin/buildservice-git run -c /etc/buildservice-git/server.conf /etc/buildservice-git/server.conf.d
KillSignal=SIGQUIT
Restart=on-failure

# for io_uring
LimitMEMLOCK=67108864
LimitMEMLOCKSoft=67108864

[Install]
WantedBy=multi-user.target
